package com.tenlionsoft.baselib.core.beans;

import com.contrarywind.interfaces.IPickerViewData;

import java.util.List;

/**
 * 作者: adam
 * 日期: 2020/8/28 - 5:12 PM
 * 邮箱: itgaojian@163.com
 * 描述:
 */
public class AreaBean implements IPickerViewData {


    private String areaCityCode;
    private String areaCode;
    private String areaFirst;
    private String areaId;
    private String areaLat;
    private String areaLevel;
    private String areaLng;
    private String areaMergerName;
    private String areaName;
    private String areaParentId;
    private String areaParentName;
    private String areaPinyin;
    private String areaShortName;
    private String areaZipCode;
    private boolean parent;
    private List<?> subArea;

    public String getAreaCityCode() {
        return areaCityCode;
    }

    public void setAreaCityCode(String areaCityCode) {
        this.areaCityCode = areaCityCode;
    }

    public String getAreaCode() {
        return areaCode;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public String getAreaFirst() {
        return areaFirst;
    }

    public void setAreaFirst(String areaFirst) {
        this.areaFirst = areaFirst;
    }

    public String getAreaId() {
        return areaId;
    }

    public void setAreaId(String areaId) {
        this.areaId = areaId;
    }

    public String getAreaLat() {
        return areaLat;
    }

    public void setAreaLat(String areaLat) {
        this.areaLat = areaLat;
    }

    public String getAreaLevel() {
        return areaLevel;
    }

    public void setAreaLevel(String areaLevel) {
        this.areaLevel = areaLevel;
    }

    public String getAreaLng() {
        return areaLng;
    }

    public void setAreaLng(String areaLng) {
        this.areaLng = areaLng;
    }

    public String getAreaMergerName() {
        return areaMergerName;
    }

    public void setAreaMergerName(String areaMergerName) {
        this.areaMergerName = areaMergerName;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getAreaParentId() {
        return areaParentId;
    }

    public void setAreaParentId(String areaParentId) {
        this.areaParentId = areaParentId;
    }

    public String getAreaParentName() {
        return areaParentName;
    }

    public void setAreaParentName(String areaParentName) {
        this.areaParentName = areaParentName;
    }

    public String getAreaPinyin() {
        return areaPinyin;
    }

    public void setAreaPinyin(String areaPinyin) {
        this.areaPinyin = areaPinyin;
    }

    public String getAreaShortName() {
        return areaShortName;
    }

    public void setAreaShortName(String areaShortName) {
        this.areaShortName = areaShortName;
    }

    public String getAreaZipCode() {
        return areaZipCode;
    }

    public void setAreaZipCode(String areaZipCode) {
        this.areaZipCode = areaZipCode;
    }

    public boolean isParent() {
        return parent;
    }

    public void setParent(boolean parent) {
        this.parent = parent;
    }

    public List<?> getSubArea() {
        return subArea;
    }

    public void setSubArea(List<?> subArea) {
        this.subArea = subArea;
    }

    @Override
    public String getPickerViewText() {
        return areaName;
    }
}
